View Issue Details

IDProjectCategoryView StatusLast Update
0006985Talerdocumentationpublic2022-04-14 12:20
Reporterdavidak Assigned ToStefan  
PrioritylowSeveritytextReproducibilityalways
Status resolvedResolutionfixed 
Target Version0.8.5Fixed in Version0.9 
Summary0006985: FAQ: double spending
Descriptionsomeone complained that they did not find information how taler solves double spending

source: https://github.com/liberapay/liberapay.com/issues/1309#issuecomment-894609559

i'm not sure if that is important enough to be added to the FAQ, but it should be documented somewhere. seems to be a relevant questions for people coming from cryptocurrencies
TagsNo tags attached.

Activities

Stefan

2021-08-07 16:38

developer   ~0018084

Taking a look at '2.6.2. Database Scheme' on https://docs.taler.net/taler-exchange-manual.html double spending seems to be self-understanding and no matter for the FAQs.

In fact, the German translation on the FAQ web site depicts the scenario clearly by stating:
Was ist, wenn mein Computer gehackt wurde?
Im Fall eines Einbruchs in die Geräte können tatsächlich Coins aus Taler-Wallets ausgegeben werden. Wurde ein Coin ausgegeben, ist das Coin entwertet. Wer es zuerst ausgibt, verfügt über den bewegten Geldwert. Es bietet sich daher an, den Bestand regelmäßig zu kontrollieren, um einen eventuellen Verlust zeitnah festzustellen.

I can imagine it a good idea to extend the English original text:
What if my computer is hacked?
In case of a compromise of one of your devices, an attacker can spend coins from your wallet. In case a coin has been spent, this coin cannot be spent a second time. When a payee deposits a coin its value is irrevocably conveyed to the banking account of the payee.
Checking your balance might reveal to you that your device has been compromised.

Stefan

2022-04-14 12:20

developer   ~0018878

Now, I would like to propose as English FAQ answer to the question "What if my computer is hacked?":

In case of a compromise of one of your devices, an attacker can spend coins from your wallet. Checking your balance might reveal to you whether your device has eventually been compromised. If a coin has been spent, this coin cannot be spent a second time. The Exchange examines every coin whether it has been spent and thus makes double spending impossible.

And here the German translation:
Was ist, wenn mein Computer gehackt wurde?
Im Fall eines Einbruchs in eines deiner Geräte können Coins aus einem Taler-Wallet ausgegeben werden. Daher sollte der Bestand im Wallet regelmäßig kontrolliert werden, um einen eventuellen Einbruch oder Verlust zeitnah festzustellen. Wurde ein Coin zum Bezahlen verwendet, kann dieses nicht ein zweites Mal eingesetzt werden. Der Taler Exchange prüft beim Bezahlen, ob ein Coin bereits verwendet wurde, und verhindert so einen mehrmaligen Einsatz des gleichen Coins.

Issue History

Date Modified Username Field Change
2021-08-07 12:01 davidak New Issue
2021-08-07 12:01 davidak Status new => assigned
2021-08-07 12:01 davidak Assigned To => Stefan
2021-08-07 16:03 Christian Grothoff Severity minor => text
2021-08-07 16:38 Stefan Note Added: 0018084
2021-08-24 20:39 Christian Grothoff Target Version => 0.8.5
2022-04-14 12:20 Stefan Status assigned => resolved
2022-04-14 12:20 Stefan Resolution open => fixed
2022-04-14 12:20 Stefan Fixed in Version => 0.9
2022-04-14 12:20 Stefan Note Added: 0018878